# getRegistration

Use this endpoint to  retrieve information for a single registration

`GET /registrations/{registrationId}`

**API:** The Avalara Registration and Licensing API
**Tag:** Registrations
**API Version:** 0.1.0
**Base URL:** https://api.avalara.com/orl

Source: https://developer.avalara.com/products/activation-service/api/methods/Registrations/getRegistration/

## Description

Use this endpoint to retrieve information for a single registration. Information returned shall include the registration status along with additional information depending on the registrationType.

## Parameters

| Name | Type | In | Required | Description |
|---|---|---|---|---|
| `undefined` |  |  | No |  |
| `undefined` |  |  | No |  |
| `undefined` |  |  | No |  |
| `undefined` |  |  | No |  |

## Responses

| Status | Description | Schema |
|---|---|---|
| 200 | Success | `RegistrationStatus` |
| 400 |  |  |
| 401 |  |  |
| 403 |  |  |
| 404 |  |  |
| 500 |  |  |

### 200 Response: `RegistrationStatus`

| Property | Type | Required | Description |
|---|---|---|---|
| `id` | string | No | ID of the registration Example: `e1b65a1d-676e-4c3b-bc5a-16f443758202`. |
| `registrationType` | string | No | The type of registration Values: `E-Invoice`. Example: `E-Invoice`. |
| `status` | StatusGeneral | No |  |
| `company` | CompanyDetails | No |  |
| `mandates` | Mandates[] | No |  |
| `meta` | Meta | No |  |

## Example Request

```bash
curl -X GET "https://api.avalara.com/orl/registrations/{registrationId}" \
  -H "Authorization: Basic <credentials>" \
  -H "Accept: application/json"
```